Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.mail
Class Folder

    java.lang.Object
      portlets.compoze.groupware.mail.Folder

All Implemented Interfaces:
  java.io.Serializable

public class Folder
extends java.lang.Object
implements java.io.Serializable

This class represents a folder.

See Also:
  Serialized Form

Constructor Summary
`Folder(java.lang.String sID, java.lang.String sName, java.lang.String sAbsoluteName, java.lang.String sTitle, int iUnread, int iCount)` Constructor.
`Folder(java.lang.String sID, java.lang.String sName, java.lang.String sAbsoluteName, java.lang.String sTitle, int iUnread, int iCount, java.lang.String sParentID)` Constructor.

Method Summary
`java.lang.String` | `getAbsoluteName()` Gets the folder absolute name.
`int` | `getCount()` Gets the folder count.
`java.lang.String` | `getID()` Gets the folder ID.
`java.lang.String` | `getName()` Gets the folder name.
`java.lang.String` | `getTitle()` Gets the folder title name.
`int` | `getUnread()` Gets the folder unread count.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Folder

    public Folder(java.lang.String sID,
                  java.lang.String sName,
                  java.lang.String sAbsoluteName,
                  java.lang.String sTitle,
                  int iUnread,
                  int iCount)

  Constructor.

Parameters:
  `sID` - the folder ID
  `sName` - the folder name
  `sTitle` - the title to use (for display)
  `iUnread` - the unread count

### Folder

    public Folder(java.lang.String sID,
                  java.lang.String sName,
                  java.lang.String sAbsoluteName,
                  java.lang.String sTitle,
                  int iUnread,
                  int iCount,
                  java.lang.String sParentID)

  Constructor.

Parameters:
  `sID` - the folder ID
  `sName` - the folder name
  `sTitle` - the title to use (for display)
  `iUnread` - the unread count
  `iCount` - the folder item count

Method Detail

### getCount

    public int getCount()

  Gets the folder count.

  Returns:
    the folder count

### getUnread

    public int getUnread()

  Gets the folder unread count.

  Returns:
    the folder unread count

### getTitle

    public java.lang.String getTitle()

  Gets the folder title name.

  Returns:
    the folder title name

### getID

    public java.lang.String getID()

  Gets the folder ID.

  Returns:
    the folder ID

### getName

    public java.lang.String getName()

  Gets the folder name.

  Returns:
    the folder name

### getAbsoluteName

    public java.lang.String getAbsoluteName()

  Gets the folder absolute name.

  Returns:
    the folder absolute name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.